
package com.ejie.ad74a.ws.client.liquidaciones;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.liquidaciones package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AnularLiquidacion_QNAME = new QName("http://com.ejie.ae01b.webservice", "anularLiquidacion");
    private final static QName _AnularLiquidacionResponse_QNAME = new QName("http://com.ejie.ae01b.webservice", "anularLiquidacionResponse");
    private final static QName _EmitirLiquidacion_QNAME = new QName("http://com.ejie.ae01b.webservice", "emitirLiquidacion");
    private final static QName _EmitirLiquidacionResponse_QNAME = new QName("http://com.ejie.ae01b.webservice", "emitirLiquidacionResponse");
    private final static QName _Exception_QNAME = new QName("http://com.ejie.ae01b.webservice", "Exception");
    private final static QName _Cabecera_QNAME = new QName("com/ejie/ae01b/xml", "cabecera");
    private final static QName _Datosanulacion_QNAME = new QName("com/ejie/ae01b/xml", "datosanulacion");
    private final static QName _DatosEmision_QNAME = new QName("com/ejie/ae01b/xml", "datosEmision");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.liquidaciones
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DatosEmisionType }
     * 
     */
    public DatosEmisionType createDatosEmisionType() {
        return new DatosEmisionType();
    }

    /**
     * Create an instance of {@link AnularLiquidacion }
     * 
     */
    public AnularLiquidacion createAnularLiquidacion() {
        return new AnularLiquidacion();
    }

    /**
     * Create an instance of {@link AnularLiquidacionResponse }
     * 
     */
    public AnularLiquidacionResponse createAnularLiquidacionResponse() {
        return new AnularLiquidacionResponse();
    }

    /**
     * Create an instance of {@link EmitirLiquidacion }
     * 
     */
    public EmitirLiquidacion createEmitirLiquidacion() {
        return new EmitirLiquidacion();
    }

    /**
     * Create an instance of {@link EmitirLiquidacionResponse }
     * 
     */
    public EmitirLiquidacionResponse createEmitirLiquidacionResponse() {
        return new EmitirLiquidacionResponse();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link CabeceraType }
     * 
     */
    public CabeceraType createCabeceraType() {
        return new CabeceraType();
    }

    /**
     * Create an instance of {@link DatosAnulacionType }
     * 
     */
    public DatosAnulacionType createDatosAnulacionType() {
        return new DatosAnulacionType();
    }

    /**
     * Create an instance of {@link RespuestaType }
     * 
     */
    public RespuestaType createRespuestaType() {
        return new RespuestaType();
    }

    /**
     * Create an instance of {@link ConceptoType }
     * 
     */
    public ConceptoType createConceptoType() {
        return new ConceptoType();
    }

    /**
     * Create an instance of {@link DatosIdentificacionType }
     * 
     */
    public DatosIdentificacionType createDatosIdentificacionType() {
        return new DatosIdentificacionType();
    }

    /**
     * Create an instance of {@link DatosDireccionType }
     * 
     */
    public DatosDireccionType createDatosDireccionType() {
        return new DatosDireccionType();
    }

    /**
     * Create an instance of {@link DatosBancariosType }
     * 
     */
    public DatosBancariosType createDatosBancariosType() {
        return new DatosBancariosType();
    }

    /**
     * Create an instance of {@link DatosEmisionType.Conceptos }
     * 
     */
    public DatosEmisionType.Conceptos createDatosEmisionTypeConceptos() {
        return new DatosEmisionType.Conceptos();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnularLiquidacion }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AnularLiquidacion }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.ae01b.webservice", name = "anularLiquidacion")
    public JAXBElement<AnularLiquidacion> createAnularLiquidacion(AnularLiquidacion value) {
        return new JAXBElement<AnularLiquidacion>(_AnularLiquidacion_QNAME, AnularLiquidacion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnularLiquidacionResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AnularLiquidacionResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.ae01b.webservice", name = "anularLiquidacionResponse")
    public JAXBElement<AnularLiquidacionResponse> createAnularLiquidacionResponse(AnularLiquidacionResponse value) {
        return new JAXBElement<AnularLiquidacionResponse>(_AnularLiquidacionResponse_QNAME, AnularLiquidacionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmitirLiquidacion }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EmitirLiquidacion }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.ae01b.webservice", name = "emitirLiquidacion")
    public JAXBElement<EmitirLiquidacion> createEmitirLiquidacion(EmitirLiquidacion value) {
        return new JAXBElement<EmitirLiquidacion>(_EmitirLiquidacion_QNAME, EmitirLiquidacion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmitirLiquidacionResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EmitirLiquidacionResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.ae01b.webservice", name = "emitirLiquidacionResponse")
    public JAXBElement<EmitirLiquidacionResponse> createEmitirLiquidacionResponse(EmitirLiquidacionResponse value) {
        return new JAXBElement<EmitirLiquidacionResponse>(_EmitirLiquidacionResponse_QNAME, EmitirLiquidacionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.ae01b.webservice", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CabeceraType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CabeceraType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/ae01b/xml", name = "cabecera")
    public JAXBElement<CabeceraType> createCabecera(CabeceraType value) {
        return new JAXBElement<CabeceraType>(_Cabecera_QNAME, CabeceraType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DatosAnulacionType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DatosAnulacionType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/ae01b/xml", name = "datosanulacion")
    public JAXBElement<DatosAnulacionType> createDatosanulacion(DatosAnulacionType value) {
        return new JAXBElement<DatosAnulacionType>(_Datosanulacion_QNAME, DatosAnulacionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DatosEmisionType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DatosEmisionType }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/ae01b/xml", name = "datosEmision")
    public JAXBElement<DatosEmisionType> createDatosEmision(DatosEmisionType value) {
        return new JAXBElement<DatosEmisionType>(_DatosEmision_QNAME, DatosEmisionType.class, null, value);
    }

}
